> For the complete documentation index, see [llms.txt](https://docs.faspay.co.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.faspay.co.id/merchant-integration/api-reference-1/credit-card-transaction/reference/transaction-status-cc.md).

# Transaction Status - CC

This reference contains all the transaction status is sent from the system following Faspay with explanations. Transaction status on faspay system is derived from the acquiring bank.

<table><thead><tr><th width="221.00000000000003" align="center">Transaction Status Code</th><th>Transaction Status</th><th>Description</th></tr></thead><tbody><tr><td align="center">N</td><td>Pending</td><td>Initial default value of TXN_STATUS in Faspay e-Payment. All new transaction will be stored in Faspay e-Payment with this value until it’s processed.</td></tr><tr><td align="center">A</td><td>Authorized</td><td>Transaction is successfully authorized in bank.</td></tr><tr><td align="center">E</td><td>Error</td><td>Error occurred while processing transaction. The error may originate from Faspay e-Payment or acquiring bank.</td></tr><tr><td align="center">C</td><td>Captured</td><td>Transaction is successfully sent for captured in bank.</td></tr><tr><td align="center">CF</td><td>Capture Failed</td><td>Capture request failed</td></tr><tr><td align="center">S</td><td>Sales</td><td>Transaction is successfully approved for sales request in bank.</td></tr><tr><td align="center">F</td><td>Not Approved</td><td>Transaction is declined from bank.</td></tr><tr><td align="center">RC</td><td>Reconfirm</td><td>System unable to get response from bank. Cardholder or merchant need to reconfirm with bank of the actual transaction status.</td></tr><tr><td align="center">CB</td><td>Chargeback</td><td>Chargeback transaction</td></tr><tr><td align="center">V</td><td>Void</td><td>Transaction is void.</td></tr><tr><td align="center">B</td><td>Blocked</td><td>Transaction is blocked.</td></tr><tr><td align="center">CR</td><td>Capture Reversal</td><td>Transaction that has been capture previously has been successfully reversed.</td></tr><tr><td align="center">CRF</td><td>Capture Reversal Failed</td><td>Capture reversal request failed.</td></tr><tr><td align="center">SR</td><td>Sales Reversal</td><td>Transaction has been reversed.</td></tr><tr><td align="center">SRF</td><td>Sales Reversal Failed</td><td>Sales reversal request failed.</td></tr><tr><td align="center">PCR</td><td>Pending Capture Reversal</td><td>Capture reversal in progress.</td></tr><tr><td align="center">PSR</td><td>Pending Sales Reversal</td><td>Sales reversal is in progress.</td></tr><tr><td align="center">PCB</td><td>Pending Chargeback</td><td>Chargeback is in progress.</td></tr><tr><td align="center">I</td><td>Incomplete</td><td>Transaction not successful. The error originate from Faspay e-Payment due to network issue, incorrect behavior of user (browser closing), etc.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/credit-card-transaction/reference/transaction-status-cc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
